Skip to main content
GET
/
v1
/
projects
/
{projectID}
/
portal-links
List all portal links
curl --request GET \
  --url https://us.getconvoy.cloud/api/v1/projects/{projectID}/portal-links \
  --header 'Authorization: <api-key>'
{
  "message": "<string>",
  "status": true,
  "data": {
    "content": [
      {
        "auth_key": "<string>",
        "auth_type": "refresh_token",
        "can_manage_endpoint": true,
        "created_at": "<string>",
        "deleted_at": "<string>",
        "endpoint_count": 123,
        "endpoints": [
          "<string>"
        ],
        "endpoints_metadata": [
          {
            "advanced_signatures": true,
            "authentication": {
              "api_key": {
                "header_name": "<string>",
                "header_value": "<string>"
              },
              "basic_auth": {
                "password": "<string>",
                "username": "<string>"
              },
              "oauth2": {
                "audience": "<string>",
                "authentication_type": "shared_secret",
                "client_id": "<string>",
                "client_secret": "<string>",
                "expiry_time_unit": "seconds",
                "field_mapping": {
                  "access_token": "<string>",
                  "expires_in": "<string>",
                  "token_type": "<string>"
                },
                "grant_type": "<string>",
                "issuer": "<string>",
                "scope": "<string>",
                "signing_algorithm": "<string>",
                "signing_key": {
                  "crv": "<string>",
                  "d": "<string>",
                  "dp": "<string>",
                  "dq": "<string>",
                  "e": "<string>",
                  "kid": "<string>",
                  "kty": "<string>",
                  "n": "<string>",
                  "p": "<string>",
                  "q": "<string>",
                  "qi": "<string>",
                  "x": "<string>",
                  "y": "<string>"
                },
                "subject": "<string>",
                "url": "<string>"
              },
              "type": "api_key"
            },
            "content_type": "<string>",
            "created_at": "<string>",
            "deleted_at": "<string>",
            "description": "<string>",
            "events": 123,
            "failure_rate": 123,
            "http_timeout": 123,
            "mtls_client_cert": {
              "client_cert": "<string>",
              "client_key": "<string>"
            },
            "name": "<string>",
            "owner_id": "<string>",
            "project_id": "<string>",
            "rate_limit": 123,
            "rate_limit_duration": 123,
            "secrets": [
              {
                "created_at": "<string>",
                "deleted_at": "<string>",
                "expires_at": "<string>",
                "uid": "<string>",
                "updated_at": "<string>",
                "value": "<string>"
              }
            ],
            "slack_webhook_url": "<string>",
            "status": "active",
            "support_email": "<string>",
            "uid": "<string>",
            "updated_at": "<string>",
            "url": "<string>"
          }
        ],
        "name": "<string>",
        "owner_id": "<string>",
        "project_id": "<string>",
        "token": "<string>",
        "uid": "<string>",
        "updated_at": "<string>",
        "url": "<string>"
      }
    ],
    "pagination": {
      "has_next_page": true,
      "has_prev_page": true,
      "next_page_cursor": "<string>",
      "per_page": 123,
      "prev_page_cursor": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

projectID
string
required

Project ID

Query Parameters

direction
enum<string>
Available options:
next,
prev
next_page_cursor
string

A pagination cursor to fetch the next page of a list

ownerId
string

The owner ID of the endpoint

perPage
integer

The number of items to return per page

prev_page_cursor
string

A pagination cursor to fetch the previous page of a list

q
string

The name of the endpoint

sort
string

Sort order, values are ASC or DESC, defaults to DESC

Response

OK

message
string
status
boolean
data
object